Index: trunk/Softwares/Basic_test.or32/Makefile
===================================================================
--- trunk/Softwares/Basic_test.or32/Makefile	(revision 2)
+++ trunk/Softwares/Basic_test.or32/Makefile	(revision 48)
@@ -38,46 +38,54 @@
 
 $(DIR_BIN)/%.x.txt	: $(DIR_BIN)/%.x
-			@$(ECHO) "List symbols        of $*"
-			@$(NM)      $(NM_OPT)      $^ > $@.nm
-			@$(ECHO) "Display information of $*"
-			@$(OBJDUMP) $(OBJDUMP_OPT) $^ > $@
+			@\
+			$(ECHO) "List symbols        of $*";\
+			$(NM)      $(NM_OPT)      $^ > $@.nm;\
+			$(ECHO) "Display information of $*";\
+			$(OBJDUMP) $(OBJDUMP_OPT) $^ > $@;
 
 $(DIR_BIN)/%.x		: $(OBJ_SYS) $(OBJ) 
-			@$(ECHO) "Linkage             of $*"
-			@$(LD) -o $@ $^ $(LD_OPT)
+			@\
+			$(ECHO) "Linkage             of $*";\
+			$(LD) -o $@ $^ $(LD_OPT);
 
 $(DIR_OBJ)/%.o		: $(DIR_LOCAL_ASM)/%.s	
-			@$(ECHO) "Compile             of $*"
-			@$(CC) $(CC_OPT) $(DIR_INC)    -o $@   -c $^ 
-			@$(CC) $(CC_OPT) $(DIR_INC) -S -o $@.s -c $^ 
+			@\
+			$(ECHO) "Compile             of $*";\
+			$(CC) $(CC_OPT) $(DIR_INC)    -o $@   -c $^ ;\
+			$(CC) $(CC_OPT) $(DIR_INC) -S -o $@.s -c $^ ;
 #			@$(AS) $(AS_OPT) $^ -o $@
 
 $(DIR_OBJ)/%.o		: $(DIR_LOCAL_SYS)/%.s	
-			@$(ECHO) "Compile             of $*"
-			@$(CC) $(CC_OPT) $(DIR_INC)    -o $@   -c $^ 
-			@$(CC) $(CC_OPT) $(DIR_INC) -S -o $@.s -c $^ 
+			@\
+			$(ECHO) "Compile             of $*";\
+			$(CC) $(CC_OPT) $(DIR_INC)    -o $@   -c $^ ;\
+			$(CC) $(CC_OPT) $(DIR_INC) -S -o $@.s -c $^ ;
 #			@$(AS) $(AS_OPT) $^ -o $@
 
 $(DIR_OBJ)/%.o		: $(DIR_LOCAL_C)/%.c
-			@$(ECHO) "Compile             of $*"
-			@$(CC) $(CC_OPT) $(DIR_INC)    -o $@   -c $^ 
-			@$(CC) $(CC_OPT) $(DIR_INC) -S -o $@.s -c $^ 
+			@\
+			$(ECHO) "Compile             of $*";\
+			$(CC) $(CC_OPT) $(DIR_INC)    -o $@   -c $^ ;\
+			$(CC) $(CC_OPT) $(DIR_INC) -S -o $@.s -c $^ ;
 
 $(DIR_OBJ)/%.o		: $(DIR_GLOBAL_ASM)/%.s	
-			@$(ECHO) "Compile             of $*"
-			@$(CC) $(CC_OPT) $(DIR_INC)    -o $@   -c $^ 
-			@$(CC) $(CC_OPT) $(DIR_INC) -S -o $@.s -c $^ 
+			@\
+			$(ECHO) "Compile             of $*";\
+			$(CC) $(CC_OPT) $(DIR_INC)    -o $@   -c $^ ;\
+			$(CC) $(CC_OPT) $(DIR_INC) -S -o $@.s -c $^ ;
 #			@$(AS) $(AS_OPT) $^ -o $@
 
 $(DIR_OBJ)/%.o		: $(DIR_GLOBAL_SYS)/%.s	
-			@$(ECHO) "Compile             of $*"
-			@$(CC) $(CC_OPT) $(DIR_INC)    -o $@   -c $^ 
-			@$(CC) $(CC_OPT) $(DIR_INC) -S -o $@.s -c $^ 
+			@\
+			$(ECHO) "Compile             of $*";\
+			$(CC) $(CC_OPT) $(DIR_INC)    -o $@   -c $^ ;\
+			$(CC) $(CC_OPT) $(DIR_INC) -S -o $@.s -c $^ ;
 #			@$(AS) $(AS_OPT) $^ -o $@
 
 $(DIR_OBJ)/%.o		: $(DIR_GLOBAL_C)/%.c
-			@$(ECHO) "Compile             of $*"
-			@$(CC) $(CC_OPT) $(DIR_INC)    -o $@   -c $^ 
-			@$(CC) $(CC_OPT) $(DIR_INC) -S -o $@.s -c $^ 
+			@\
+			$(ECHO) "Compile             of $*";\
+			$(CC) $(CC_OPT) $(DIR_INC)    -o $@   -c $^ ;\
+			$(CC) $(CC_OPT) $(DIR_INC) -S -o $@.s -c $^ ;
 
 #-----[ Environement ]------------------------------------------------------------
@@ -93,13 +101,15 @@
 #-----[ Maintenance ]-------------------------------------------------------------
 clean 			:
-			@$(ECHO) "Delete     temporary files              "`$(PWD)`
-			@$(RM) $(DIR_OBJ) $(DIR_BIN)
-			@$(MAKE) clean_rec DIR_CLEAN=.
+			@\
+			$(ECHO) "Delete     temporary files              "`$(PWD)`;\
+			$(RM) $(DIR_OBJ) $(DIR_BIN);\
+			$(MAKE) clean_rec DIR_CLEAN=.;
 
 #Clean recursive
 clean_rec		:
-			@$(ECHO) "Delete     temporary files in directory $(DIR_CLEAN)"
-			@$(RM) -f $(DIR_CLEAN)/*~
-			@for files in `$(LS) $(DIR_CLEAN)`; do					\
+			@\
+			$(ECHO) "Delete     temporary files in directory $(DIR_CLEAN)";\
+			$(RM) -f $(DIR_CLEAN)/*~;\
+			for files in `$(LS) $(DIR_CLEAN)`; do					\
 			    	if $(TEST) -d $(DIR_CLEAN)/$$files; 				\
 				then 								\
@@ -110,10 +120,11 @@
 #-----[ Help ]--------------------------------------------------------------------
 help			:
-			@$(ECHO) ""
-			@$(ECHO) "List of directive   : "
-			@$(ECHO) " * make             : Compile the software"
-			@$(ECHO) " * make clean       : Erase all files generates"
-			@$(ECHO) " * make bench_list  : View all benchmark"
-			@$(ECHO) " * make bench_exec  : Print the file \"$(FILE_BENCH)\" - it's the Workload"
-			@$(ECHO) " * make bench       : Compile the Benchmark Suite"
-			@$(ECHO) ""
+			@\
+			$(ECHO) "";\
+			$(ECHO) "List of directive   : ";\
+			$(ECHO) " * make             : Compile the software";\
+			$(ECHO) " * make clean       : Erase all files generates";\
+			$(ECHO) " * make bench_list  : View all benchmark";\
+			$(ECHO) " * make bench_exec  : Print the file \"$(FILE_BENCH)\" - it's the Workload";\
+			$(ECHO) " * make bench       : Compile the Benchmark Suite";\
+			$(ECHO) "";
